//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import "PCAPIQueryResponse.h"

/*!
 * This class stores the Genre information of a audio file.
 */
@interface PCGenre : NSObject

/*!
 * The name of the Genre.
 */
@property (nonatomic, readonly) NSString *name;

/*!
 * Call this method to fetch all PCAudio file related to this PCGenre object.
 * @param completion This block gets called on the completion of the all audio file fetch process. An array of PCAudio objects are returned in completion.
 */
- (void)getFileWithCompletionHandler:(void (^)(NSArray *genreFiles, PCAPIQueryResponse *response))completion;

@end
